-- 英雄Item
Lua_HeroCellsItem = class("Lua_HeroCellsItem", Lua_ListCell);
function Lua_HeroCellsItem:ctor(p)
    self:superCall("ctor", p);
end

function Lua_HeroCellsItem:buildShowItem()
    self:superCall("buildShowItem");
    self.heroItemIcon = Lua_HeroItemIcon.new(self.content);
end

function Lua_HeroCellsItem:setData(data)
    self.data = data;
    if data == nil then
        return;
    end
    self.hvo = DataCenter.heroData:getItemByUniqueId(data.unique_id);
    if self.hvo == nil then
        return;
    end
    self.heroItemIcon:setData(self.hvo);
    local showState = DataCenter.heroData:checkSingleHeroRed(self.hvo);
    self.heroItemIcon:showRedPoint(showState);
end

function Lua_HeroCellsItem:onPressClick()
    self:onIconBtnClick();
end

function Lua_HeroCellsItem:onIconBtnClick()
    Lua_MsgUtil.callFunc("SELECT_SHOW_ATTRS_WINOW_INDEX", self.data); 
end

function Lua_HeroCellsItem:dispose()
    self.data = nil;
    if self.starInfo ~= nil then
        self.starInfo:dispose();
        self.starInfo:clear();
        self.starInfo = nil;
    end
    self:superCall("dispose");
end